summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-12-11 06:37:00 +0000
committerZac Medico <zmedico@gentoo.org>2009-12-11 06:37:00 +0000
commitfa00a4fde95796c62b2394c608bab838d3cdb392 (patch)
tree22187f2a61cca9a674d69f729a97313a73d1f8e1 /bin/ebuild.sh
parent7aa1ce0f3b907334a826791fc2ee9b266a2f5127 (diff)
downloadportage-fa00a4fde95796c62b2394c608bab838d3cdb392.tar.gz
portage-fa00a4fde95796c62b2394c608bab838d3cdb392.tar.bz2
portage-fa00a4fde95796c62b2394c608bab838d3cdb392.zip
Add EAPI 3_pre2 to conditinals so the EAPI 4 stuff is disabled.
svn path=/main/trunk/; revision=15035
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 029fb6586..09ec4cac5 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -144,7 +144,7 @@ useq() {
# Skip this for older EAPIs since lots of ebuilds/eclasses
# have stuff in global scope that really belongs somewhere
# like pkg_setup or src_configure.
- if [[ -n $EAPI ]] && ! hasq "$EAPI" 0 1 2 3 ; then
+ if [[ -n $EAPI ]] && ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
die "use() called during invalid phase: $EBUILD_PHASE"
fi
@@ -501,7 +501,7 @@ econf() {
fi
# EAPI=3 adds --disable-dependency-tracking to econf
- if ! hasq "$EAPI" 0 1 2 3 ; then
+ if ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
set -- --disable-dependency-tracking "$@"
fi
@@ -912,7 +912,7 @@ dyn_prepare() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to prepare; then
cd "${WORKDIR}"
@@ -943,7 +943,7 @@ dyn_configure() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to configure; then
cd "${WORKDIR}"
@@ -976,7 +976,7 @@ dyn_compile() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to compile; then
cd "${WORKDIR}"
@@ -1053,7 +1053,7 @@ dyn_install() {
mkdir "${PORTAGE_BUILDDIR}/image"
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to install; then
cd "${WORKDIR}"
@@ -1407,7 +1407,7 @@ _ebuild_arg_to_phase() {
case "$arg" in
pretend)
- ! hasq $eapi 0 1 2 3 && \
+ ! hasq $eapi 0 1 2 3 3_pre2 && \
phase_func=pkg_pretend
;;
setup)
@@ -1503,7 +1503,7 @@ _ebuild_phase_funcs() {
declare -F src_compile >/dev/null || \
src_compile() { _eapi2_src_compile "$@" ; }
- has $eapi 2 3 || declare -F src_install >/dev/null || \
+ has $eapi 2 3 3_pre2 || declare -F src_install >/dev/null || \
src_install() { _eapi4_src_install "$@" ; }
if hasq $phase_func $default_phases ; then
@@ -1870,7 +1870,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
[[ -n $EAPI ]] || EAPI=0
- if has "$EAPI" 0 1 2 3 ; then
+ if has "$EAPI" 0 1 2 3 3_pre2 ; then
export RDEPEND=${RDEPEND-${DEPEND}}
debug-print "RDEPEND: not set... Setting to: ${DEPEND}"
fi
@@ -1890,7 +1890,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
pkg_nofetch pkg_postinst pkg_postrm pkg_preinst pkg_prerm
pkg_setup src_test src_unpack"
;;
- 2|3)
+ 2|3|3_pre2)
_valid_phases="src_compile pkg_config src_configure pkg_info
src_install pkg_nofetch pkg_postinst pkg_postrm pkg_preinst
src_prepare pkg_prerm pkg_setup src_test src_unpack"